package com.jsowell.pile.service.programlogic;

import com.google.common.collect.Maps;
import com.jsowell.common.util.StringUtils;

import java.util.Map;
import java.util.Objects;

/**
 * 工厂设计模式
 * 云快充操作
 */
public class ProgramLogicFactory {

	private static Map<String, AbstractProgramLogic> programLogicMap = Maps.newHashMap();

	/**
	 * 注册
	 * @param str
	 * @param handler
	 */
	public static void register(String str, AbstractProgramLogic handler) {
		if (StringUtils.isBlank(str) || Objects.isNull(handler)) {
			return;
		}
		programLogicMap.put(str, handler);
	}

	/**
	 * 获取
	 * @param name
	 * @return
	 */
	public static AbstractProgramLogic getProgramLogic(String name) {
		return programLogicMap.get(name);
	}
}
